Bug 1024854 (CVE-2013-4483) - CVE-2013-4483 kernel: ipc: ipc_rcu_putref refcount races
Summary: CVE-2013-4483 kernel: ipc: ipc_rcu_putref refcount races
Status: NEW
Alias: CVE-2013-4483
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131029,repor...
Keywords: Security
Depends On: 1024265 1024866 1024868 1024869 1024870 1024871
Blocks: 1024901
TreeView+ depends on / blocked
 
Reported: 2013-10-30 14:04 UTC by Petr Matousek
Modified: 2019-02-08 15:01 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the ipc_rcu_putref() function in the Linux kernel's IPC implementation handled reference counter decrementing. A local, unprivileged user could use this flaw to trigger an Out of Memory (OOM) condition and, potentially, crash the system.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0285 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-03-12 22:28:54 UTC
Red Hat Product Errata RHSA-2014:1392 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-14 01:28:44 UTC
Red Hat Product Errata RHSA-2015:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-03 17:49:58 UTC

Description Petr Matousek 2013-10-30 14:04:42 UTC
A flaw was found in the way ipc_rcu_putref() function handled reference counter decrementing. Without external synchronization reference counter might not be adjusted properly, as presented with the freeque() vs do_msgsnd() race, leading to memory leaks.

An unprivileged local user could use this flaw to cause OOM conditions, potentially crashing the system.

References:
https://wiki.openvz.org/Download/kernel/rhel6-testing/042stab084.3

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6062a8
(making the refcounter atomic hunks)

Acknowledgements:

Red Hat would like to thank Vladimir Davydov (Parallels) for reporting this issue.

Comment 4 Petr Matousek 2013-10-30 14:47:09 UTC
Statement:

This issue does affect Linux kernel packages as shipped with Red Hat Enterprise Linux 6. Future kernel updates for respective releases may address this issue.

Comment 5 errata-xmlrpc 2014-03-12 18:29:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html

Comment 6 Vincent Danen 2014-06-20 13:30:36 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0439 https://rhn.redhat.com/errata/RHSA-2014-0439.html

Comment 7 Martin Prpič 2014-10-07 09:19:40 UTC
IssueDescription:

A flaw was found in the way the ipc_rcu_putref() function in the Linux kernel's IPC implementation handled reference counter decrementing. A local, unprivileged user could use this flaw to trigger an Out of Memory (OOM) condition and, potentially, crash the system.

Comment 8 errata-xmlrpc 2014-10-14 05:31:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html

Comment 10 errata-xmlrpc 2015-03-03 12:50:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0284 https://rhn.redhat.com/errata/RHSA-2015-0284.html


Note You need to log in before you can comment on or make changes to this bug.